Loading...
Searching...
No Matches
testsvdunit.h File Reference
`#include <stdio.h>`
`#include "ap.h"`
`#include "amp.h"`
`#include "reflections.h"`
`#include "bidiagonal.h"`
`#include "qr.h"`
`#include "lq.h"`
`#include "blas.h"`
`#include "rotations.h"`
`#include "bdsvd.h"`
`#include "svd.h"`

Go to the source code of this file.

## Namespaces

namespace | testsvdunit

## Functions

template<unsigned int Precision>
bool | testsvdunit::testsvd (bool silent)
template<unsigned int Precision>
void | testsvdunit::fillsparsea (ap::template_2d_array< amp::ampf< Precision > > &a, int m, int n, amp::ampf< Precision > sparcity)
template<unsigned int Precision>
void | testsvdunit::getsvderror (const ap::template_2d_array< amp::ampf< Precision > > &a, int m, int n, const ap::template_2d_array< amp::ampf< Precision > > &u, const ap::template_1d_array< amp::ampf< Precision > > &w, const ap::template_2d_array< amp::ampf< Precision > > &vt, amp::ampf< Precision > &materr, amp::ampf< Precision > &orterr, bool &wsorted)
template<unsigned int Precision>
void | testsvdunit::testsvdproblem (const ap::template_2d_array< amp::ampf< Precision > > &a, int m, int n, amp::ampf< Precision > &materr, amp::ampf< Precision > &orterr, amp::ampf< Precision > &othererr, bool &wsorted, bool &wfailed)
template<unsigned int Precision>
bool | testsvdunit::testsvdunit_test_silent ()
template<unsigned int Precision>
bool | testsvdunit::testsvdunit_test ()

## Variables

STATIC_VAR int | testsvdunit::failcount
STATIC_VAR int | testsvdunit::succcount